Subject: Re: bug#25522: 26.0.50; (hl-line-maybe-unhighlight): (error "Selecting deleted buffer")

From: Michael Heerdegen <[email-masked]>
Date: Thu, 26 Jan 2017 11:15:24 +0100

Stephen Berman <[email-masked]> writes:

> > I just got the same error message after hitting U x in M-x
> > list-packages.
>
> Is this after removing the above sexp?

No, still with hl-line-sticky-flag -> nil.

> Did you have hl-line-mode enabled in package-menu-mode, and if so,
> how?  I added this:
>
> (add-hook 'package-menu-mode-hook #'hl-line-mode)

Yes, that's exactly what I use - sorry for my terseness.

> -    (when (and (not hl-line-sticky-flag)
> +    (when (and (buffer-live-p hlob)
> +               (not hl-line-sticky-flag)

Yeah, that seems to fix the problem (I had already tried that ;-)).  I
still wonder why you don't see it...but I'm not sure if it's worth to
investigate (because this will probably take hours).

Thanks,

Michael.